> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Runtimes

> Get a list of runtimes for a workspace



## OpenAPI

````yaml GET /workspaces/{workspace_id}/runtimes
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/runtimes:
    get:
      tags:
        - runtimes
      summary: List runtimes
      description: Get a list of runtimes for a workspace
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - description: Regex to filter runtimes by name
          name: name_regex
          in: query
          schema:
            type: string
        - description: Maximum number of items to return
          name: limit
          in: query
          schema:
            type: integer
            default: 100
        - description: Number of items to skip
          name: offset
          in: query
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/models.SpinRuntime'
components:
  schemas:
    models.SpinRuntime:
      type: object
      properties:
        auth_token:
          type: string
        description:
          type: string
        is_private:
          type: boolean
        managed_status:
          type: string
        managed_type:
          type: string
        name:
          type: string
        owner_id:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
        runtime_id:
          type: string
        url:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````